%define oname semantic_puppet

Name:       ruby-%{oname}
Version:    1.1.1
Release:    %mkrel 1
Summary:    Useful tools for working with Semantic Versions
Group:      Development/Ruby
License:    Apache-2.0
URL:        https://github.com/puppetlabs/semantic_puppet-gem
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: ruby >= 1.8.7
BuildRequires: ruby-devel
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(cane)
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(redcarpet)
BuildArch: noarch
Provides: rubygem(%{oname}) = %{version}

%description
Tools used by Puppet to parse, validate, and compare Semantic Versions and
Version Ranges and to query and resolve module dependencies.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

# Run the test suite
%check
pushd .%{gem_instdir}
popd

%files
%{gem_instdir}
%{gem_spec}

%files doc
%doc README.md CHANGELOG.md LICENSE
%doc %{gem_docdir}


%changelog
* Sat Feb 01 2025 pterjan <pterjan> 1.1.1-1.mga10
+ Revision: 2144154
- Update to 1.1.1

* Mon Apr 08 2024 pterjan <pterjan> 1.1.0-1.mga10
+ Revision: 2055371
- Update to 1.1.0

* Fri Mar 25 2022 umeabot <umeabot> 1.0.4-2.mga9
+ Revision: 1826432
- Mageia 9 Mass Rebuild

* Sat Mar 19 2022 pterjan <pterjan> 1.0.4-1.mga9
+ Revision: 1800668
- Update to 1.0.4

* Fri Feb 14 2020 umeabot <umeabot> 1.0.2-2.mga8
+ Revision: 1522583
- Mageia 8 Mass Rebuild

* Sat Jan 26 2019 guillomovitch <guillomovitch> 1.0.2-1.mga7
+ Revision: 1361087
- imported package ruby-semantic_puppet

